(function ($) {
  Drupal.behaviors.addComplaintHandler = {
    attach: function() {
      comment_abuse_set();
    }
  }
})(jQuery);
/*
 * Bind click event to complaint links.
 */
function comment_abuse_set() {
  jQuery('a.comment_abuse').bind('click', function() {
    comment_abuse(jQuery(this));
    return false;
  });
}

/*
 * Send ajax for complaint comment.
 */
function comment_abuse(elem) {
  jQuery.ajax({
      url: jQuery(elem).attr('href'),
      dataType: "json",
      success: function(data) {
        if (data.abused == true) {
          comment_abuse_process_info(elem, data);
          jQuery(elem).remove();
        }
        else if(data.abused == false) {
          comment_abuse_process_info(elem, data);
        }
      }
  });
}

function comment_abuse_process_info(elem, data) {
  jQuery(elem).parent().html(data.message);
}
